Use a sliding panel overlay from the downloads panel to display the available actions
We want to add a sliding panel for each blocked download, just like we do in the Control Center for subsections. The UX spec here contains the details:


